package com.goafanti.organization.bo;

import com.goafanti.common.utils.excel.Excel;
import com.goafanti.common.utils.excel.ExcelConstant;

import java.math.BigDecimal;

public class outPaymentList {

		@Excel(name = "支付编号")
		private Integer id;
		@Excel(name = "项目编号")
		private Integer tid;
		@Excel(name = "项目名称")
		private String pname;
		@Excel(name = "项目状态",enumsName = "com.goafanti.order.enums.NewProjectStatus")
		private Integer projectStatus;
		@Excel(name = "分类名称")
		private String cname;
		@Excel(name = "合同编号")
		private String contractNo;
		@Excel(name = "订单编号")
		private String orderNo;
		@Excel(name = "客户名称")
		private String userName;
		@Excel(name = "部门名称")
		private String depName;
		@Excel(name = "第三方机构名称")
		private String companyName;
		private String costAmount;
		@Excel(name = "付款类型",readConverterExp = ExcelConstant.chooseTypeStr)
		private Integer chooseType;
		@Excel(name = "本次申请金额",scale = 6)
		private BigDecimal applicationAmount;
		@Excel(name = "已支付",scale = 6)
		private BigDecimal paymentAmount;
		@Excel(name = "申请人")
		private String aname;
		@Excel(name = "财务名称")
		private String financeName;
		@Excel(name = "状态",readConverterExp = ExcelConstant.paymentStatusStr)
		private Integer status;
		@Excel(name = "创建时间")
		private String createTime;
		private Integer costReduction;
		private Integer officialCost;
		private Integer projectType;
		private BigDecimal totalAmount;
		private BigDecimal settlementAmount;
		private String officialName;
		private Integer processStatus;




		public String getContractNo() {
			return contractNo;
		}
		public void setContractNo(String contractNo) {
			this.contractNo = contractNo;
		}
		public String getOrderNo() {
			return orderNo;
		}
		public void setOrderNo(String orderNo) {
			this.orderNo = orderNo;
		}
		public String getUserName() {
			return userName;
		}
		public void setUserName(String userName) {
			this.userName = userName;
		}
		public String getDepName() {
			return depName;
		}
		public void setDepName(String depName) {
			this.depName = depName;
		}
		public String getCostAmount() {
			return costAmount;
		}
		public void setCostAmount(String costAmount) {
			this.costAmount = costAmount;
		}

		public BigDecimal getPaymentAmount() {
			return paymentAmount;
		}
		public void setPaymentAmount(BigDecimal paymentAmount) {
			this.paymentAmount = paymentAmount;
		}
		public BigDecimal getApplicationAmount() {
			return applicationAmount;
		}
		public void setApplicationAmount(BigDecimal applicationAmount) {
			this.applicationAmount = applicationAmount;
		}
		public String getCreateTime() {
			return createTime;
		}
		public void setCreateTime(String createTime) {
			this.createTime = createTime;
		}
		public String getAname() {
			return aname;
		}
		public void setAname(String aname) {
			this.aname = aname;
		}
		public String getFinanceName() {
			return financeName;
		}
		public void setFinanceName(String financeName) {
			this.financeName = financeName;
		}
		public String getCname() {
			return cname;
		}
		public void setCname(String cname) {
			this.cname = cname;
		}
		public String getPname() {
			return pname;
		}
		public void setPname(String pname) {
			this.pname = pname;
		}
		public Integer getProjectStatus() {
			return projectStatus;
		}
		public void setProjectStatus(Integer projectStatus) {
			this.projectStatus = projectStatus;
		}
		public Integer getStatus() {
			return status;
		}
		public void setStatus(Integer status) {
			this.status = status;
		}
		public Integer getTid() {
			return tid;
		}
		public void setTid(Integer tid) {
			this.tid = tid;
		}
		public Integer getChooseType() {
			return chooseType;
		}
		public void setChooseType(Integer chooseType) {
			this.chooseType = chooseType;
		}
		public Integer getProjectType() {
			return projectType;
		}
		public void setProjectType(Integer projectType) {
			this.projectType = projectType;
		}
		public Integer getId() {
			return id;
		}
		public void setId(Integer id) {
			this.id = id;
		}
		public String getCompanyName() {
			return companyName;
		}
		public void setCompanyName(String companyName) {
			this.companyName = companyName;
		}
		public Integer getCostReduction() {
			return costReduction;
		}
		public void setCostReduction(Integer costReduction) {
			this.costReduction = costReduction;
		}
		public Integer getOfficialCost() {
			return officialCost;
		}
		public void setOfficialCost(Integer officialCost) {
			this.officialCost = officialCost;
		}
		public String getOfficialName() {
			return officialName;
		}
		public void setOfficialName(String officialName) {
			this.officialName = officialName;
		}
		public BigDecimal getSettlementAmount() {
			return settlementAmount;
		}
		public void setSettlementAmount(BigDecimal settlementAmount) {
			this.settlementAmount = settlementAmount;
		}
		public BigDecimal getTotalAmount() {
			return totalAmount;
		}
		public void setTotalAmount(BigDecimal totalAmount) {
			this.totalAmount = totalAmount;
		}
		public Integer getProcessStatus() {
			return processStatus;
		}
		public void setProcessStatus(Integer processStatus) {
			this.processStatus = processStatus;
		}

}
